Robotsystem from Robot Group Leipzig: BoundingShape Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# BoundingShape Class Reference

`#include <boundingshape.h>`

List of all members.

## Detailed Description

class for reading bounding shape description files (.bbox) and to create appropriate geoms File Format: Lines wise, every line stands for one primitive.

Possible lines are: sphere radius (x,y,z) cylinder radius height (x,y,z) (alpha, beta, gamma) capsule radius height (x,y,z) (alpha, beta, gamma) box length width height (x,y,z) (alpha, beta, gamma) (x,y,z) is the position vector and (alpha, beta, gamma) are the rotation angles about x,y,z axis respectively

Definition at line 53 of file boundingshape.h.

## Public Member Functions
| BoundingShape (const std::string &filename)
virtual | ~BoundingShape ()
bool | readBBoxFile (std::string &filename, const OdeHandle &odeHandle, const OsgHandle &osgHandle, const osg::Matrix &pose, double scale, char mode)
virtual bool | init (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const osg::Matrix &pose, double scale, char mode)
virtual void | update ()

## Constructor & Destructor Documentation

BoundingShape | ( | const std::string & | filename | ) | `[inline]`

| Definition at line 55 of file boundingshape.h.

virtual ~BoundingShape | ( |  | ) | `[inline, virtual]`

| Definition at line 56 of file boundingshape.h.

## Member Function Documentation

virtual bool init | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const osg::Matrix & | pose,
|  | double | scale,
|  | char | mode
| ) | `[inline, virtual]`

| Definition at line 85 of file boundingshape.h.

bool readBBoxFile | ( | std::string & | filename,
|  | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const osg::Matrix & | pose,
|  | double | scale,
|  | char | mode
| ) | `[inline]`

| Definition at line 57 of file boundingshape.h.

virtual void update | ( |  | ) | `[inline, virtual]`

| Definition at line 90 of file boundingshape.h.